# MetaCompany Source License (2024-1)

This License defines the permitted use of the Source originally attached or included with it.

You may not violate any of the terms, conditions or permissions given by this license.

Please read carefully.

## Definitions

* **Contribution** shall mean any work of authorship, including the original version of the Source and any modifications or additions to the Source; that is intentionally submitted or communicated to the Licensor for inclusion in the Source by the copyright owner, or by an individual or Legal Entity authorized to submit on behalf of the copyright owner.   
* **Derivative Works** shall mean any work, in any form, that is based on (or derived from) the Source and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship or design.  
* **Licensee** (or "You") shall mean an individual or Organization to which this License applies.  
* **Licensor** shall mean the owner of the Rights (or entity authorized by the owner of the Rights) that is granting the License.  
* **Organization** shall mean a group of one or more people established for a purpose under one or more entities; including companies, communities, institutions, militaries, governments, governmental agencies, and non-governmental agencies.  
* **Permissions** shall mean a specific consent or authorization.  
* **Personal Use** shall mean use by a single individual outside of any Organization.  
* **Rights** shall mean copyright and any similar right; including design rights (whether registered or unregistered), mask rights and database rights; excluding Patents and Trademarks.  
* **Source** shall mean the documents, files, folders and information comprising the materials which are being licensed for use.  
* **Transformed Source** shall mean any form resulting from transformation or translation of the Source, including but not limited to physical material, compiled object code, bytecode, artwork, data, information, generated documentation, the instantiation of a hardware design or physical object or material, and conversions to other media types, including intermediate forms.

## Permitted Licensees

### Individual People

The Permissions defined in this License are applicable to individual people not part of an Organization.

### Open Source Projects

The Permissions defined in this License are applicable to projects whose entire Source is freely and openly available; including projects licensed under Python Software Foundation, Apache, BSD or MIT Licenses.

### Organizations

The Permissions defined in this License are applicable to Organizations of any size.

## Permissions

### Distribution 

This License grants limited Permissions to distribute the Source.   
The Source or the Transformed Source may be distributed for:

* Use as part an Open Source Project  
* Private use internally within Organizations  
* Personal Use

### Derivative Works 

Derivative Works may be created by the Licensee for:

* Contribution back to the Source   
* Private use internally within Organizations  
* Personal Use

You may not create a derivative work to compete with the Licensor.

Attribution in the form of a Copyright Notice must be included in the Derivative Work.   
The Copyright Notice must be used as defined in this Appendix of this License. 

This License must be maintained, and linked or retained in the Derivative Work.  
The License of the Derivative Work may not supersede or limit this License.

## Prohibitions

This license explicitly defines Permissions not granted:

* You may not “Fork” and redistribute the Source publicly.  
* You may not offer the Source or the Transformed Source as part of a service or product; for sale or distribution.  
* You may not relicense the Source under different terms or conditions.

## Revocation

This License may be revoked by the Licensor at any time for any reason.  
If this License has been revoked, the Licensee must immediately cease use and distribution of the Source.   
By accepting this License, You agree any future revocation shall apply retroactively to all active or current uses of the Source.  
The Licensee may be notified of revocation via email, mailing address, public messaging, media service or any other medium.

Revocation is a serious matter only intended to manage malice, or violators of law or rights. 

## Prohibited Licensees

People, companies and entities prohibited to use the Source or the Transformed Source are listed in the Appendix attached with this License. These people, organizations and/or entities are not granted any permissions defined in this License.

## Contributions

Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Source by You shall be under the terms and conditions of this License, excluding any additional terms or conditions.

## Anti-Litigation

If You institute litigation against the Licensor (including a cross-claim or counterclaim in a lawsuit) then any Permissions granted to You under this License shall terminate as of the date such litigation is filed.

## Trademarks

You may not use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Source, and reproducing the content of this License.

## Patents

If You institute patent litigation against the Licensor (including a cross-claim or counterclaim) alleging that the Source or a Contribution incorporated within the Source constitutes direct or contributory patent infringement, then any permissions granted to You under this License shall terminate as of the date such litigation is filed.

## License Compliance

Parts of the Source may incorporate other Sources licensed with different terms; those licenses shall be respected and noted as necessary in the Appendix or in the Source.

## Limitation of Liability

In no event and under no legal theory shall the Licensor be liable for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Source (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if the Licensor has been advised of the possibility of such damages.

## Non-Licensor Obligations

While redistributing the Source or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, liability or other obligations consistent with this License (Non-Licensor Obligations). 

By committing to Non-Licensor Obligations, You may act only on Your own behalf and sole responsibility, not on behalf of the Licensor, and only if You agree to defend the Licensor for any damages or claims asserted against the Licensor.

## Disclaimer of Warranty

Unless required by applicable law or agreed to in writing, Licensor provides the Source on an "as is" basis, without warranties or conditions of any kind, either express or implied, including without limitation, any warranties or conditions of title, non-infringement, merchantability, or fitness for a particular purpose.

You are solely responsible for determining the appropriateness of using or redistributing the Source. You assume any risks associated with the Source and Permissions granted under this License.

## Alternative Licenses

If You need an alternative License please contact the Licensor for alternative licensing options.

# Appendix

## Copyright Notice

© Copyright 2024 MetaCompany (Meta, LLC)

## Prohibited Licensees

Use of the Source is prohibited by:

* Meta Platforms, Inc. (also known as Facebook, Inc.).

* Associations, Subsidiaries, Employees or Contractors managed by or related to Meta Platforms, Inc or Mark Zuckerberg (the current/former CEO of Facebook).

* Any company Meta Platforms Inc shall acquire, acquired, purchased or otherwise obtained.

* Mark Zuckerberg (the current/former CEO of Facebook) and individuals that are consanguineous less than or equal to 6 degrees.
